Package org.springframework.ui.context

# Interface Theme

All Known Implementing Classes:
  `SimpleTheme`

@Deprecated(since="6.0") public interface Theme
Deprecated.
as of 6.0 in favor of using CSS, without direct replacement
A Theme can resolve theme-specific messages, codes, file paths, etc. (e.g. CSS and image files in a web environment). The exposed `MessageSource` supports theme-specific parameterization and internationalization.

Since:
  17.06.2003
Author:
  Juergen Hoeller
See Also:
  - `ThemeSource`
  - `org.springframework.web.servlet.ThemeResolver`

## Method Summary

Modifier and Type
Method
Description
`MessageSource`
`getMessageSource()`
Deprecated.
Return the specific MessageSource that resolves messages with respect to this theme.
`String`
`getName()`
Deprecated.
Return the name of the theme.

## Method Details

### getName

String getName()
Deprecated.
Return the name of the theme.

Returns:
  the name of the theme (never `null`)

### getMessageSource

MessageSource getMessageSource()
Deprecated.
Return the specific MessageSource that resolves messages with respect to this theme.

Returns:
  the theme-specific MessageSource (never `null`)